Products
Get Product
Retrieve a single catalog product
GET
/
products
/
{productId}
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/products/jh7prod123 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/products/jh7prod123", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/products/jh7prod123",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/products/jh7prod123"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "jh7prod123",
"title": "1 oz Gold Bar - PAMP Suisse",
"sku": "PAMP-1OZ-GOLD",
"productType": "precious_metal",
"subcategory": "Gold Bars",
"isSerialized": true,
"insuredValueCents": "412350",
"images": [
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-front.jpg",
"label": "primary"
},
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-back.jpg",
"label": "image-2"
}
],
"createdAt": "2025-04-01T14:00:00Z"
}
}
Returns a single catalog product by ID.
insuredValueCents is the current insured value of one unit, in cents.
Authorizations
string
required
Send
Bearer <token> in this header. The key needs inventory:read.Path Parameters
string
required
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/products/jh7prod123 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/products/jh7prod123", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/products/jh7prod123",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/products/jh7prod123"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "jh7prod123",
"title": "1 oz Gold Bar - PAMP Suisse",
"sku": "PAMP-1OZ-GOLD",
"productType": "precious_metal",
"subcategory": "Gold Bars",
"isSerialized": true,
"insuredValueCents": "412350",
"images": [
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-front.jpg",
"label": "primary"
},
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-back.jpg",
"label": "image-2"
}
],
"createdAt": "2025-04-01T14:00:00Z"
}
}
⌘I
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/products/jh7prod123 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/products/jh7prod123", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/products/jh7prod123",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/products/jh7prod123"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "jh7prod123",
"title": "1 oz Gold Bar - PAMP Suisse",
"sku": "PAMP-1OZ-GOLD",
"productType": "precious_metal",
"subcategory": "Gold Bars",
"isSerialized": true,
"insuredValueCents": "412350",
"images": [
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-front.jpg",
"label": "primary"
},
{
"url": "https://files.beachdepository.com/products/pamp-1oz-gold-back.jpg",
"label": "image-2"
}
],
"createdAt": "2025-04-01T14:00:00Z"
}
}